package cn.iocoder.yudao.module.pms.enums;

/**
 * @description: 附件类别
 * @author: ruiqi
 * @create: 2025-10-20
 **/
public enum AttachmentCategoryEnum {
    MAINTENANCE("MAINTENANCE", "保养", 1),
    REPAIR("REPAIR", "维修", 2),
    INSPECTION("INSPECTION", "巡检", 3),
    OPERATION_RECORD("OPERATION_RECORD", "运行记录", 4),
    DAILY_REPORT("DAILY_REPORT", "日报", 5),
    QHSE("QHSE", "QHSE", 6);

    private String code;
    private String msg;
    private Integer num;

    AttachmentCategoryEnum(String code, String msg, Integer num) {
        this.code = code;
        this.msg = msg;
        this.num = num;
    }

    public String getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }

    public Integer getNum() {
        return num;
    }
}
